/*****************************************************************************
 * VLCUtil.java FVLC VLC Java RMI Binding
 *****************************************************************************
 *
 * @author : Festastic, <info@festastic.com>
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *
 */

package com.festastic.fvlc.util;

import java.io.File;

public class VLCUtil {

    /**
     * Returns argument for JVLC instance initializing.
     *
     * @param String
     *            vlc absolute path
     * @return String argument for JVLC initialize
     */
    public static String[] getVLCInitArguments(String path) {
        System.setProperty("jna.library.path", path);

        String os = System.getProperty("os.name");

        if (os.toLowerCase().contains("linux")) {
            System.load(path + File.separator + "libvlccore.so.0");
        }

        final String[] args = { "-vvv", "--plugin-path=" + path, "plugins-cache=0", "security-policy=1" };

        return args;
    }
}
